// (c) MIT 2003.  All rights reserved.

package rec.house;


import java.util.*;
import java.awt.*;
import rec.util.*;
import rec.sys.*;

public class CutterModule extends BasicModule
{

  protected CutterModule( )
  {
    super( "Cutter" );

    add( new WallMerger() );
    add( new WallTBreaker() );
    add( new WallBreaker() );
  }


  public boolean recognizeWidget( Surface s, Widget w )
  {
    boolean res = super.recognizeWidget( s, w );

    Assert.note( res, "cutter module missed rec'n on " + w );

    // nothing gets by this baby--oh no, sir!
    return true;
  }

}


///////////////////////////////////////////////////////////////////////////////

